package jrummikub.control.network;

import jrummikub.model.GameSettings;
import jrummikub.view.ISettingsPanel.SettingsMode;
import jrummikub.view.IView;

public class GameOfferControl {
	private ConnectionControl connectionControl;
	private GameSettings settings;
	private IView view;

	public GameOfferControl(ConnectionControl connectionControl,
			GameSettings settings, IView view) {
		this.connectionControl = connectionControl;
		this.settings = settings;
		this.view = view;
		
		view.getSettingsPanel().setSettingsMode(SettingsMode.NETWORK_OFFER);
		view.getSettingsPanel().setGameSettings(settings);
	}

	public void startGameOffer() {
		view.showSettingsPanel(true);
		
	}

}
